%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" 2>/dev/null)}
%{?!pybasever: %global pybasever %(python -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)}

Name:		python-twisted-mail
Version:	13.2.0
Release:	1.0.cf%{?dist}
Summary:	An SMTP, IMAP and POP protocol implementation together with clients and servers
Group:		Development/Libraries
License:	MIT
URL:		http://twistedmatrix.com/trac/wiki/TwistedMail
Source0:	http://twistedmatrix.com/Releases/Mail/13.2/TwistedMail-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	python-twisted-core >= 13.2.0, python2-devel >= 2.6
Requires:	python-twisted-core >= 13.2.0
Requires:	python-twisted-names

# a noarch-turned-arch package should not have debuginfo
%global debug_package %{nil}

%description
Twisted is an event-based framework for Internet applications.

Twisted Mail contains high-level, efficient protocol implementations for both
clients and servers of SMTP, POP3, and IMAP4. Additionally, it contains an "out
of the box" combination SMTP/POP3 virtual-hosting mail server. Also included is
a read/write Maildir implementation and a basic Mail Exchange calculator.

%prep
%setup -n TwistedMail-%{version} -q

# Remove spurious shellbangs
sed -i -e '/^#! *\/usr\/bin\/env python/d' twisted/mail/test/pop3testserver.py

%build
python setup.py build

%install
rm -rf %{buildroot}

# This is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
python setup.py install -O1 --install-purelib %{python_sitearch} --skip-build --root %{buildroot}

# Man pages
mkdir -p %{buildroot}%{_mandir}/man1/
cp -a doc/man/*.1 %{buildroot}%{_mandir}/man1/
rm -rf doc/man

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitearch}/Twisted_Mail-%{version}-py%{pybasever}.egg-info ]; then
	echo %{python_sitearch}/Twisted_Mail-%{version}-py%{pybasever}.egg-info
fi > egg-info

%clean
rm -rf %{buildroot}

%post
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%postun
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%files -f egg-info
%doc LICENSE NEWS README doc/*
%{_bindir}/mailmail
%{_mandir}/man1/mailmail.1*
%{python_sitearch}/twisted/mail/
%{python_sitearch}/twisted/plugins/twisted_mail.py*

%changelog
* Mon Nov 11 2013 Paul Howarth <paul@city-fan.org> 13.2.0-1.0.cf
- update to 13.2.0 (see NEWS for details)

* Tue Jul  2 2013 Paul Howarth <paul@city-fan.org> 13.1.0-1.0.cf
- update to 13.1.0 (see NEWS for details)

* Thu Apr  4 2013 Paul Howarth <paul@city-fan.org> 13.0.0-1.0.cf
- update to 13.0.0 (see NEWS for details)

* Thu Dec 27 2012 Paul Howarth <paul@city-fan.org> 12.3.0-1.0.cf
- update to 12.3.0 (see NEWS for details)

* Mon Sep  3 2012 Paul Howarth <paul@city-fan.org> 12.2.0-1.0.cf
- update to 12.2.0 (see NEWS for details)
- now requires python ≥ 2.6

* Wed Jun  6 2012 Paul Howarth <paul@city-fan.org> 12.1.0-1.0.cf
- update to 12.1.0
  - twistd mail --auth, broken in 11.0, now correctly connects authentication
    to the portal being used (#5219)
  - use correct attribute in MXCalculator example (#5686)
- drop %%defattr, redundant since rpm 4.4

* Mon Feb 13 2012 Paul Howarth <paul@city-fan.org> 12.0.0-1.0.cf
- update to 12.0.0 (no significant changes have been made for this release)
- twisted now requires at least python 2.5

* Mon Jan  9 2012 Paul Howarth <paul@city-fan.org> 11.1.0-2.0.cf
- rebuilt for gcc-4.7 in Rawhide

* Fri Nov 18 2011 Paul Howarth <paul@city-fan.org> 11.1.0-1.0.cf
- update to 11.1.0
  - twisted.mail.smtp.LOGINCredentials now generates challenges with ":"
    instead of "\0" for interoperability with Microsoft Outlook (#4692)
  - when run from an unpacked source tarball or a VCS checkout,
    bin/mail/mailmail will now use the version of Twisted it is part of
    (#3526)
  - check for twistd mail's --hostname option whenever the --esmtp option has
    been given and emit a useful error message if the former is not found, as
    the latter requires it (#4796)
  - improve python3 compatibility (#5006)
- upstream source distribution has moved to twistedmatrix.com

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> 11.0.0-1.0.cf
- update to 11.0.0 (see NEWS for details)
- nobody else likes macros for commands

* Tue Nov 30 2010 Paul Howarth <paul@city-fan.org> 10.2.0-1.0.cf
- update to 10.2.0
  - the email server example now demonstrates how to set up authentication and
    authorization using twisted.cred (#4609)
  - twisted.mail.smtp.sendEmail, deprecated since mid-2003 (before Twisted 2.0),
    has been removed (#4529)
  - importing t.mail.smtp no longer gives MimeWriter deprecation warning (#4038)
  - various changes to the Twisted Mail documentation to improve the results of
    the lore2sphinx tool (#4572)
- BR: python2-devel rather than just python-devel

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> 10.1.0-1.1.cf
- rebuild for python 2.7 in Rawhide

* Mon Jul  5 2010 Paul Howarth <paul@city-fan.org> 10.1.0-1.0.cf
- update to 10.1.0 (see NEWS for details)
- Twisted now requires python >= 2.4

* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 10.0.0-1.0.cf
- update to 10.0.0 (see NEWS for details)

* Wed Nov 25 2009 Paul Howarth <paul@city-fan.org> 9.0.0-1.0.cf
- update to 9.0.0
- shellbang in twisted/mail/test/pop3testserver.py changed

* Fri Aug  7 2009 Paul Howarth <paul@city-fan.org> 8.2.0-3.0.cf
- define RPM macros in global scope
- tidy up egg-info handling

* Sun Jul 26 2009 Paul Howarth <paul@city-fan.org> 8.2.0-2.0.cf
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.2.0-1.0.CF
- update to 8.2.0
- make sure the scriplets never return a non-zero exit status

* Mon May 19 2008 Paul Howarth <paul@city-fan.org> 8.1.0-1
- update to 8.1.0

* Tue Apr  1 2008 Paul Howarth <paul@city-fan.org> 8.0.0-1
- update to 8.0.0
- handle egg-info if present

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 0.4.0-1
- update to 0.4.0
- require python-twisted-core >= 2.5.0

* Thu Jan  4 2007 Paul Howarth <paul@city-fan.org> 0.3.0-5
- update URL
- add %%post and %%postun scripts to manage the dropin cache

* Tue Dec 12 2006 Paul Howarth <paul@city-fan.org> 0.3.0-4
- reinstate tabs
- reinstate python-devel buildreq, needed for python 2.5 on Rawhide

* Mon Sep  4 2006 Paul Howarth <paul@city-fan.org> 0.3.0-3
- don't ghost .pyo files
- remove unnecessary python-devel buildreq
- don't generate debuginfo package

* Fri Jun  9 2006 Paul Howarth <paul@city-fan.org> 0.3.0-2
- build as arch-specific package for proper integration with twisted-core
  (see http://www.redhat.com/archives/fedora-extras-list/2006-June/msg00264.html)
- script the python files list generation to clean up the spec

* Wed May 31 2006 Paul Howarth <paul@city-fan.org> 0.3.0-1
- update to 0.3.0
- add doc files LICENSE and NEWS

* Thu May 11 2006 Paul Howarth <paul@city-fan.org> 0.2.0-2
- add missing buildreq python-twisted-core

* Wed May 10 2006 Paul Howarth <paul@city-fan.org> 0.2.0-1
- update to 0.2.0

* Tue May  9 2006 Paul Howarth <paul@city-fan.org> 0.1.0-3
- import from PyVault Repository
- rewrite in Fedora Extras style

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- final release

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

